Verify Webauthn sign-up
POST /signup/webauthn/verify
Complete the Webauthn sign-up process by verifying the response from the user’s device. Returns a session if validation is successful.
Request Body required
Section titled “Request Body required ”WebAuthn credential creation response and optional user profile information
object
object
The credential’s identifier
The credential type represented by this object
Base64url-encoded binary data
Map of extension outputs from the client
object
Application identifier extension output
Credential properties extension output
object
Indicates if the credential is a resident key
HMAC secret extension output
The authenticator attachment
object
Base64url-encoded binary data
The authenticator transports
Base64url-encoded binary data
Base64url-encoded binary data
The public key algorithm identifier
Base64url-encoded binary data
object
Example
[ "me", "user"]Example
userExample
John SmithA two or three characters locale
Example
enobject
Example
{ "firstName": "John", "lastName": "Smith"}Example
https://my-app.com/catch-redirectionNickname for the security key
Responses
Section titled “ Responses ”Sign up successful
Container for session information
object
User authentication session containing tokens and user information
object
JWT token for authenticating API requests
Example
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...Expiration time of the access token in seconds
Example
900Identifier for the refresh token
Example
2c35b6f3-c4b9-48e3-978a-d4d0f1d42e24Token used to refresh the access token
Example
2c35b6f3-c4b9-48e3-978a-d4d0f1d42e24User profile and account information
object
URL to the user’s profile picture
Example
https://myapp.com/avatars/user123.jpgTimestamp when the user account was created
Example
2023-01-15T12:34:56ZDefault authorization role for the user
Example
userUser’s display name
Example
John SmithUser’s email address
Example
john.smith@nhost.ioWhether the user’s email has been verified
Example
trueUnique identifier for the user
Example
2c35b6f3-c4b9-48e3-978a-d4d0f1d42e24Whether this is an anonymous user account
User’s preferred locale (language code)
Example
enCustom metadata associated with the user
object
Example
{ "firstName": "John", "lastName": "Smith"}User’s phone number
Example
+12025550123Whether the user’s phone number has been verified
List of roles assigned to the user
Example
[ "user", "customer"]Active MFA type for the user
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
HTTP status error code
Example
400Human-friendly error message
Example
Invalid email formatError code identifying the specific application error